import { OpaqueToken } from '@angular/core';
import { BaasicApp as SDKBaasicApp } from 'baasic-sdk-javascript';
import { HttpClientFactory } from '../infrastructure/httpApi/http-client.factory';
import { IConfiguration } from '../infrastructure/common/contracts';
declare const TYPES: {
    Configuration: OpaqueToken;
};
export { TYPES };
export declare class BaasicAppService extends SDKBaasicApp {
    constructor(configuration: IConfiguration, httpClientFactory: HttpClientFactory);
}
